FreeMat

- Main Page
- Related Pages

vtkUnicodeStringArray

Section: Visualization Toolkit Common Classes

# Usage

.SECTION Thanks Developed by Timothy M. Shead (tshea.nosp@m.d@sa.nosp@m.ndia..nosp@m.gov) at Sandia National Laboratories.

To create an instance of class vtkUnicodeStringArray, simply invoke its constructor as follows

      obj = vtkUnicodeStringArray

# Methods

The class vtkUnicodeStringArray has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnicodeStringArray class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnicodeStringArray = obj.NewInstance ()`
- `vtkUnicodeStringArray = obj.SafeDownCast (vtkObject o)`
- `int = obj.Allocate (vtkIdType sz, vtkIdType ext)`
- `obj.Initialize ()`
- `int = obj.GetDataType ()`
- `int = obj.GetDataTypeSize ()`
- `int = obj.GetElementComponentSize ()`
- `obj.SetNumberOfTuples (vtkIdType number)`
- `obj.SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)`
- `obj.InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)`
- `vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkAbstractArray source)`
- `obj.DeepCopy (vtkAbstractArray da)`
- `obj.InterpolateTuple (vtkIdType i, vtkIdList ptIndices, vtkAbstractArray source, double weights)`
- `obj.InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray source1, vtkIdType id2, vtkAbstractArray source2, double t)`
- `obj.Squeeze ()`
- `int = obj.Resize (vtkIdType numTuples)`
- `long = obj.GetActualMemorySize ()`
- `int = obj.IsNumeric ()`
- `vtkArrayIterator = obj.NewIterator ()`
- `obj.DataChanged ()`
- `obj.ClearLookup ()`
- `obj.InsertNextUTF8Value (string )`
- `obj.SetUTF8Value (vtkIdType i, string )`
- `string = obj.GetUTF8Value (vtkIdType i)`